*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}


body {
    animation: myfirst 10s infinite;
}
@keyframes myfirst {
    0%{background: white;}
    25%{background: #E0E0E0;}
    50%{background: #CECECE;}
    100%{background:#BDBDBD;}
}
nav{
    background-color: black;
    display: flex;
    justify-content: space-around;
    align-items: center;
    min-height: 8vh;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}

p.bas {
    color: white;
}

a{
    color: #212121;
}

a.lien:hover {
    color: red;
}

a.lien:visited{
    color: white;
}
footer{
    display: none;
    background-color: black;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}

h1 {
    font-family: 'Montserrat', sans-serif;
}

.logo {
    color: rgb(226, 226, 226);
    text-transform: uppercase;
    letter-spacing: 5px;
    font-size: 20px;
}

.nav-liens {
    display: flex;
    justify-content: space-around;
    width: 40%;
}
.nav-liens li {
    list-style: none;
}
.nav-liens a{
    color: rgb(226, 226, 226);
    text-decoration: none;
    letter-spacing: 3px;
}
.menu-barres{
    display: none;
    cursor: pointer;
}
.menu-barres div{
    width: 25px;
    height: 3px;
    background-color: rgb(226, 226, 226);
    margin: 5px;
}
@media screen and (max-width:1024px){
    .nav-liens {
        width: 60%;
    }
}
@media screen and (max-width:768px){
    body{
        overflow-x: hidden;
    }
    .nav-liens{
        visibility: hidden;
        position: absolute;
        right: 0px;
        height: 90vh;
        top: 8vh;
        background-color: #212121;
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        transform: translateX(100%);
        transition: transform 0.5s ease-in;
    }
    .menu-barres{
        display: block;
    }
}

.nav-actif{
    transform: translateX(0%);
}

@keyframes navLinkFades {
    from{
        transform: translateX(50px);
    }
    to {
        transform: translateX(0px);
    }
}

div.projets{
    display: inline;
    position: absolute;
    top: 750px;
    left: 0;
    right: 0;
}

h1.project {
    color: white;
}

div.div-connexion {
    background-color: white;
    border-radius: 5px;
}

a.lien-connexion {
    color: black;
    font-size: 18px;
}
div.img-contact{
    float: right;
    display: flex;
    justify-content: flex-end;

}
div.contact{
    display: inline;
    position: absolute;
    top: 250px;
    left:0;
    right: 0;
}

button.fermer {
    position: absolute;
    right: 1px;
}
div.projet-discord{
    position: absolute;
    left: 39vw;
    right: 42vw;
}
div.projet-git{
    position: absolute;
    left: 42vw;
    right: 42vw;
}
p.projet {
    font-family: 'Varela Round', sans-serif;
    font-size: 27px;
    float: right;
}
p.projet2{
    font-family: 'Varela Round', sans-serif;
    font-size: 27px;
    float: left;
}
div.barre-sepration {
    background-color: black;
    position: absolute;
    left: 0;
    right: 0;
}

